MyGUI: Data Fields

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- R : MyGUI::KeyCode
- R8G8B8 : MyGUI::PixelFormat
- R8G8B8A8 : MyGUI::PixelFormat
- rate : MyGUI::ImageIndexInfo, MyGUI::IndexImage
- rbegin() : MyGUI::UString
- Read : MyGUI::TextureUsage
- read() : MyGUI::DataMemoryStream, MyGUI::DataStream, MyGUI::IDataStream
- readline() : MyGUI::DataMemoryStream, MyGUI::DataStream, MyGUI::IDataStream
- reallockDrawItem() : MyGUI::RenderItem
- receiver : MyGUI::DDItemInfo
- receiver_index : MyGUI::DDItemInfo
- Red : MyGUI::Colour
- red : MyGUI::Colour
- redo : MyGUI::TextCommandInfo
- redrawAllItems() : MyGUI::ItemBox
- redrawItemAt() : MyGUI::ItemBox
- Refuse : MyGUI::DDItemState
- refuse : MyGUI::DDWidgetState
- registerFactory() : MyGUI::FactoryManager
- registerLoadXmlDelegate() : MyGUI::ResourceManager
- registerShader() : MyGUI::RenderManager
- registerUnlinker() : MyGUI::WidgetManager
- registerWidgetTypes() : MyGUI::BackwardCompatibility
- Relative : MyGUI::WidgetInfo
- removeAllColumns() : MyGUI::MultiListBox
- removeAllItems() : MyGUI::BiIndexBase, MyGUI::ComboBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, MyGUI::TabControl
- removeAllRenderItems() : MyGUI::LayerItem
- removeAttribute() : MyGUI::xml::Element
- removeByName() : MyGUI::ResourceManager
- removeChild() : MyGUI::xml::Element
- removeChildItem() : MyGUI::LayerItem
- removeChildNode() : MyGUI::LayerItem
- removeCodePointRange() : MyGUI::ResourceTrueTypeFont
- removeColumnAt() : MyGUI::MultiListBox
- removeDrawItem() : MyGUI::RenderItem
- removeDropItems() : MyGUI::DDContainer, MyGUI::ItemBox
- removeItem() : MyGUI::ControllerManager, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::TabControl
- removeItemAt() : MyGUI::BiIndexBase, MyGUI::ComboBox, MyGUI::ItemBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, MyGUI::TabControl
- removeItemChild() : MyGUI::MenuControl
- removeItemChildAt() : MyGUI::MenuControl
- removeResource() : MyGUI::ResourceManager
- removeSheet() : MyGUI::MemberObsolete< TabControl >
- removeSheetIndex() : MyGUI::MemberObsolete< TabControl >
- removeUsing() : MyGUI::SharedLayerNode
- removeWidgetModal() : MyGUI::InputManager
- rend() : MyGUI::UString
- RenderItem() : MyGUI::RenderItem
- RenderManager() : MyGUI::RenderManager
- RenderTarget : MyGUI::TextureUsage
- RenderTargetInfo() : MyGUI::RenderTargetInfo
- renderToTarget() : MyGUI::ILayer, MyGUI::ILayerNode, MyGUI::LayerManager, MyGUI::LayerNode, MyGUI::OverlappedLayer, MyGUI::RenderItem, MyGUI::SharedLayer
- replace() : MyGUI::UString
- replaceTags() : MyGUI::LanguageManager
- requestCoordItem : MyGUI::ItemBox
- requestCreateWidgetItem : MyGUI::ItemBox
- requestDragWidgetInfo : MyGUI::DDContainer
- requestDrawItem : MyGUI::ItemBox
- requested : MyGUI::Canvas::Event
- requestOperatorLess : MyGUI::MultiListBox
- requestUpdateCanvas : MyGUI::Canvas
- reserve() : MyGUI::UString
- reset() : MyGUI::DDItemInfo, MyGUI::Timer
- resetCurrentActiveItem() : MyGUI::ItemBox
- resetDrag() : MyGUI::DDContainer, MyGUI::ItemBox
- resetDrop() : MyGUI::MemberObsolete< ItemBox >
- resetItemSelect() : MyGUI::ImageBox, MyGUI::MemberObsolete< ComboBox >, MyGUI::MemberObsolete< ItemBox >, MyGUI::MemberObsolete< ListBox >, MyGUI::MemberObsolete< MultiListBox >
- resetKeyFocusWidget() : MyGUI::InputManager
- resetMouseCaptureWidget() : MyGUI::InputManager
- resetToDefaultPointer() : MyGUI::PointerManager
- resize() : MyGUI::Canvas, MyGUI::UString
- resizeLayerItemView() : MyGUI::ILayerItem
- resizeView() : MyGUI::ILayer, MyGUI::ILayerNode, MyGUI::LayerManager, MyGUI::LayerNode, MyGUI::OverlappedLayer, MyGUI::SharedLayer
- ResizingPolicy() : MyGUI::ResizingPolicy
- ResourceImageSetPointer() : MyGUI::ResourceImageSetPointer
- ResourceLayout() : MyGUI::ResourceLayout
- ResourceManager : MyGUI::IResource, MyGUI::ResourceManager
- ResourceManualFont() : MyGUI::ResourceManualFont
- ResourceSkin() : MyGUI::ResourceSkin, MyGUI::SubWidgetBinding
- ResourceTrueTypeFont() : MyGUI::ResourceTrueTypeFont
- restoreLayerItem() : MyGUI::LayerItem
- Return : MyGUI::KeyCode
- reverse_iterator : MyGUI::UString
- rfind() : MyGUI::UString
- Right : MyGUI::Align, MyGUI::MouseButton
- right() : MyGUI::types::TCoord< T >, MyGUI::types::TRect< T >
- RightAlt : MyGUI::KeyCode
- RightBracket : MyGUI::KeyCode
- RightControl : MyGUI::KeyCode
- RightShift : MyGUI::KeyCode
- RightToLeft : MyGUI::FlowDirection
- RightWindow : MyGUI::KeyCode
- RightWindows : MyGUI::KeyCode
- RotatingSkin() : MyGUI::RotatingSkin
- RotatingSkinStateInfo() : MyGUI::RotatingSkinStateInfo
- RTTIBase : MyGUI::Button, MyGUI::Canvas, MyGUI::ComboBox, MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerItem, MyGUI::ControllerPosition, MyGUI::ControllerRepeatClick, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::EditText, MyGUI::EditTextStateInfo, MyGUI::HScroll, MyGUI::IFont, MyGUI::ILayer, MyGUI::ILayerNode, MyGUI::ImageBox, MyGUI::IObject, MyGUI::IPointer, MyGUI::IResource, MyGUI::ISerializable, MyGUI::IStateInfo, MyGUI::ISubWidget, MyGUI::ISubWidgetRect, MyGUI::ISubWidgetText, MyGUI::ItemBox, MyGUI::LayerNode, MyGUI::ListBox, MyGUI::MainSkin, MyGUI::MenuBar, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListBox, MyGUI::MultiListItem, MyGUI::OverlappedLayer, MyGUI::PolygonalSkin, MyGUI::PopupMenu, MyGUI::ProgressBar, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkin, MyGUI::RotatingSkinStateInfo, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::SharedLayer, MyGUI::SharedLayerNode, MyGUI::SimpleText, MyGUI::SubSkin, MyGUI::SubSkinStateInfo, MyGUI::TabControl, MyGUI::TabItem, MyGUI::TextBox, MyGUI::TileRect, MyGUI::TileRectStateInfo, MyGUI::VScroll, MyGUI::Widget, MyGUI::Window